SolrQuery::setQuery
SolrQuery::setShowDebugInfo
SolrQuery
PHP Manual

# SolrQuery::setRows

(PECL solr >= 0.9.2)

SolrQuery::setRows — Specifies the maximum number of rows to return in the result

### Description

public SolrQuery SolrQuery::setRows ( int `$rows` )

Specifies the maximum number of rows to return in the result

### Parameters

`rows`

  The maximum number of rows to return

### Return Values

Returns the current SolrQuery object.

SolrQuery::setQuery
SolrQuery::setShowDebugInfo
SolrQuery
PHP Manual